/*
** (C) 2008 Tobias Heinzen
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <stdio.h>
#include "beaver.h"

#include "beaver.h"	/* including the beaver API */
static gint menu_id = 0;
static void init (void)
{
	menu_id = beaver_ui_item_add (BEAVER_SECTION_MENU_TOOLS, "Sample", NULL, "_Sample Entry", sample_clicked);
}

static void cleanup (void)
{
	beaver_ui_item_remove (menu_id, "Sample");
}

static void sample_clicked (void)
{
	gchar* selection = beaver_text_selection_get ();
	if (selection != NULL) {
		beaver_box_message (selection);
		g_free (selection);
	}
}

static void preferences (void)
{
	beaver_box_error ("Hello World!");
}

PLUGIN_NAME("Sample Plugin")
PLUGIN_DESCRIPTION("A small simple plugin.")
PLUGIN_AUTHOR("John Doe")
PLUGIN_VERSION("1.0")
PLUGIN_INIT(init)
PLUGIN_CLEANUP(cleanup)
PLUGIN_PREFERENCE(preferences)

